<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Add Species Scores to Unconstrained Ordination Results</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" type="text/css" href="../../R.css">
</head><body>

<table width="100%" summary="page for add.spec.scores {BiodiversityR}"><tr><td>add.spec.scores {BiodiversityR}</td><td align="right">R Documentation</td></tr></table>
<h2>Add Species Scores to Unconstrained Ordination Results</h2>


<h3>Description</h3>

<p>
Calculates scores (coordinates) to plot species for PCoA or NMS results that do not naturally provide species scores. The function can also rescale PCA results to use the choice of rescaling used in <STRONG>vegan</STRONG> for the <code><a href="../../vegan/html/cca.html">rda</a></code> function (after calculating PCA results via PCoA with the euclidean distance first).
</p>


<h3>Usage</h3>

<pre>
add.spec.scores(ordi,comm,method="cor.scores",multi=1,Rscale=F,scaling="2")
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>ordi</code></td>
<td>
Ordination result as calculated by <code><a href="../../stats/html/cmdscale.html">cmdscale</a></code>,  <code><a href="../../MASS/html/isoMDS.html">isoMDS</a></code>,  <code><a href="../../MASS/html/sammon.html">sammon</a></code>,  <code><a href="../../vegan/html/metaMDS.html">postMDS</a></code>,  <code><a href="../../vegan/html/metaMDS.html">metaMDS</a></code> or  <code><a href="NMSrandom.html">NMSrandom</a></code>. </td></tr>
<tr valign="top"><td><code>comm</code></td>
<td>
Community data frame with sites as rows, species as columns and species abundance as cell values. </td></tr>
<tr valign="top"><td><code>method</code></td>
<td>
Method for calculating species scores. Method "cor.scores" calculates the scores by the correlation between site scores and species vectors (via function <code><a href="../../stats/html/cor.html">cor</a></code>), method "wa.scores" calculates the weighted average scores (via function <code><a href="../../vegan/html/wascores.html">wascores</a></code>) and method "pcoa.scores" calculates the scores by weighing the correlation between site scores and species vectors by variance explained by the ordination axes. </td></tr>
<tr valign="top"><td><code>multi</code></td>
<td>
Multiplier for the species scores. </td></tr>
<tr valign="top"><td><code>Rscale</code></td>
<td>
Use the same scaling method used by <STRONG>vegan</STRONG> for <code><a href="../../vegan/html/cca.html">rda</a></code>. </td></tr>
<tr valign="top"><td><code>scaling</code></td>
<td>
Scaling method as used by <code><a href="../../vegan/html/cca.html">rda</a></code>. </td></tr>
</table>

<h3>Value</h3>

<p>
The function returns a new ordination result with new information on species scores. For PCoA results, the function calculates eigenvalues (not sums-of-squares as provided in results from function <code><a href="../../stats/html/cmdscale.html">cmdscale</a></code>), the percentage of explained variance per axis and the sum of all eigenvalues. PCA results (obtained by PCoA obtained by function <code><a href="../../stats/html/cmdscale.html">cmdscale</a></code> with the Euclidean distance) can be scaled as in function <code><a href="../../vegan/html/cca.html">rda</a></code>, or be left at the original scale.</p>

<h3>Author(s)</h3>

<p>
Roeland Kindt
</p>


<h3>References</h3>

<p>
Kindt, R. &amp; Coe, R. (2005)
Tree diversity analysis: A manual and
software for common statistical methods for ecological and
biodiversity studies.
</p>
<p>
<a href="http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp">http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp</a>
</p>


<h3>Examples</h3>

<pre>
library(vegan)
data(dune)
distmatrix &lt;- vegdist(dune)
Ordination.model1 &lt;- cmdscale(distmatrix, k=2, eig=TRUE, add=FALSE)
Ordination.model1 &lt;- add.spec.scores(Ordination.model1,dune, method='pcoa.scores', Rscale=TRUE, scaling=1, multi=1)
Ordination.model1
## Compare Ordination.model1 with:
Ordination.model2 &lt;- rda(dune)
summary(Ordination.model2, scaling=1)
</pre>



<hr><div align="center">[Package <em>BiodiversityR</em> version 1.0 <a href="00Index.html">Index]</a></div>

</body></html>
